Subject: [rohc] The 'b'-bit

From: "Jan Christoffersson (EPL)" <[email-masked]>
Date: Wed, 13 Mar 2002 14:47:29 +0100

Hi Richard,
you state in your posting  https://www1.ietf.org/mail-archive/working-groups/rohc/current/msg00119.html that there is no possibility for the 'b' bit to be set to zero. You motivate it as follows:

> However the current
> SigComp draft bans this possibility: if the state creation 
> request fails then
> the announcement request MUST fail also.
> 

I've looked through the draft but have been unable to find it. Could you direct me?

Next question: why should it be like this? Why should the announcement message be linked to a succesful state creation request? Is it not enough that the message is successfully decompressed to allow the announcement message to be passed to the dispatcher?
The reason I'm concerned about this is that I can imagine situations where it's possible to save the state used for shared compression but not any other state. This would mean that you should be able to use the shared state for compression (but not the state that couldn't be saved).
Regards
/Jan 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc